Class | ActionController::TestCase
In: | lib/action_controller/test_case.rb
Parent: | ActiveSupport::TestCase

### Methods

controller_class controller_class= determine_default_controller_class prepare_controller_class rescue_action_in_public! setup_controller_request_and_response tests

### Classes and Modules

Module ActionController::TestCase::RaiseActionExceptions

### Public Class methods

controller_class()
controller_class=(new_class)
determine_default_controller_class(name)
prepare_controller_class(new_class)
tests(controller_class)

### Public Instance methods

rescue_action_in_public!()

Cause the action to be rescued according to the regular rules for rescue_action when the visitor is not local

setup_controller_request_and_response()

[Validate]